﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace clr_form
{
public partial class AccessCodes : Form
{
		public string acsiiExt = "";
		public uint dwPublicExt = 0;
		public uint dwPrivRDExt = 0;
		public uint dwPrivWRExt = 0;
		public uint dwPrivMSExt = 0;

		public AccessCodes()
		{
			InitializeComponent();
		}

		private string Numeric(string str_in)
		{
			char[] a = str_in.ToCharArray();
			char[] b = new char[11];
			int nCounter = 0;

			foreach(char ch in a)
			{
				if ("1234567890abcdefABCDEF".IndexOf(ch) != -1)
				{
					b[nCounter] = ch;
					nCounter++;
				}
			}

			return new string(b, 0, Array.IndexOf(b, '\0')); ;
		}

		private void button_ok_Click(object sender, EventArgs e)
		{
			acsiiExt = textBox_ascii_3.Text;

			if (textBox_public_3.Text.Length > 0)
				if (Numeric(textBox_public_3.Text).Length > 0)
					dwPublicExt = Convert.ToUInt32(Numeric(textBox_public_3.Text), 16);

			if (textBox_privrd_3.Text.Length > 0)
				if (Numeric(textBox_privrd_3.Text).Length > 0)
					dwPrivRDExt = Convert.ToUInt32(Numeric(textBox_privrd_3.Text), 16);

			if (textBox_privwr_3.Text.Length > 0)
				if (Numeric(textBox_privwr_3.Text).Length > 0)
					dwPrivWRExt = Convert.ToUInt32(Numeric(textBox_privwr_3.Text), 16);

			if (textBox_privms_3.Text.Length > 0)
				if (Numeric(textBox_privms_3.Text).Length > 0)
					dwPrivMSExt = Convert.ToUInt32(Numeric(textBox_privms_3.Text), 16);

			this.Close();
		}

		private void AccessCodes_Load(object sender, EventArgs e)
		{
			textBox_ascii_3.Text = acsiiExt;
			textBox_public_3.Text = String.Format("{0:X}", dwPublicExt);
			textBox_privrd_3.Text = String.Format("{0:X}", dwPrivRDExt);
			textBox_privwr_3.Text = String.Format("{0:X}", dwPrivWRExt);
			textBox_privms_3.Text = String.Format("{0:X}", dwPrivMSExt);
		}
}
}
